var NCCI_I18N_ATTRIBUTE_NAME = "i18nTag";
var ncci_strBundleService = null;

function ncci_GetStrBundle( path )
{
	var strBundle = null;
	
	if(!ncci_strBundleService)
	{
		try
		{
			ncci_strBundleService = Components.classes["@mozilla.org/intl/stringbundle;1"].getService();
			ncci_strBundleService = ncci_strBundleService.QueryInterface(Components.interfaces.nsIStringBundleService);
		}
		catch( ex)
		{
			dump("\nRetrieval of StringBundle service failed "+ ex +"\n");
			return null;
		}
	}
	
	strBundle = ncci_strBundleService.createBundle(path);
	return strBundle;
}

function ncciTranslate( )
{
	gLog = Components.classes["@micromuse.com/NCILog;1"].getService(Components.interfaces.nsINCILog);	
	var regex = "(.+/)(.+)\\\..*";
	var reg = Components.classes['@mozilla.org/preferences;1'].getService(Components.interfaces.nsIPref);
	var locale = reg.GetCharPref("ncisetup.locale");
	var bundleLocale = "locale/"+locale+"/";
	var urlRegex = location.href.match(regex);
	var propertiesFile = urlRegex[1]+bundleLocale+urlRegex[2]+".properties";
	bundle = ncci_GetStrBundle(propertiesFile);
	
	if(bundle)
	{
		var translateElements = document.getElementsByAttribute(NCCI_I18N_ATTRIBUTE_NAME,"*");
		
		var stringName;
		var stringValue;
		for( var i = 0; i < translateElements.length;i++)
		{
			try
			{
				stringName = translateElements.item(i).getAttribute(NCCI_I18N_ATTRIBUTE_NAME);
				stringValue = bundle.GetStringFromName( stringName );
				
				if( stringValue )
				{
					translateElements.item(i).textContent = stringValue;
				}
			}
			catch( e )
			{
				if(gLog != null)
				{
					gLog.warning("Failed to translate tag "+stringName+"\n");
				}
			}
		}
	}
}

